This is a simple command line tool used by the containment-rpm-docker to
dynamically create the changelog of a Docker image.

The tool requires three arguments to be provided:

  * `--new-packages` path to the `.packages` file just created by KIWI process.
  * `--old-packages` path to the `.packages` file created by the previous
    run of KIWI.
  * `--changelog` path to the file containing the old changelog of the Docker
    image.

The tool will parse the files create by KIWI, compare the old version with the
newer one and then produce a new changelog entry. If the older changelog is
provided the tool will add the new entry on top of the contents of the old file.

The resulting changelog is printed to the standard output.


## Dependencies

It requires [ruby-rpm-ffi](https://github.com/dmacvicar/ruby-rpm-ffi)

## The old data

At build time OBS will invoke the changelog generator and use the old data
provided by the `changelog-generator-data`. This package provides two files:
  * `old.changes`: this is the changelog of the old rpm. It can be obtained by
    doing `rpm -q -p --changelog previous-sle-docker-image.rpm`
  * `old.packages`: this is the list of packages that are part of the old image.
    This can be generated by importing the old Docker image into Docker and doing:
    `docker run --rm previous-sle-docker-image rpm -qa --queryformat "%{NAME}|%{EPOCH}|%{VERSION}|%{RELEASE}|%{ARCH}|%{DISTURL}\n" > old.packages`
